import { EventActionType, actionResult } from 'quidproquo-core';
import { getQpqAttributesFromCognitoStringMap } from '../../../../../logic/cognito/cognitoAttributeMap';
import { getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent } from './utils';
const getProcessGetRecords = (qpqConfig) => {
    return async ({ eventParams: [event, context] }) => {
        const internalEventRecord = {
            userName: event.userName,
            session: getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent(event),
            userAttributes: getQpqAttributesFromCognitoStringMap(event.request.userAttributes),
        };
        return actionResult([internalEventRecord]);
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.GetRecords]: getProcessGetRecords(qpqConfig),
    };
};
