import { EventActionType, actionResult } from 'quidproquo-core';
import { getQpqAttributesFromCognitoStringMap } from '../../../../../logic/cognito/cognitoAttributeMap';
const getProcessGetRecords = (qpqConfig) => {
    return async ({ eventParams: [event, context] }) => {
        const internalEventRecord = {
            challengeAnswer: event.request.challengeAnswer,
            userAttributes: getQpqAttributesFromCognitoStringMap(event.request.userAttributes),
            userNotFound: event.request.userNotFound,
            privateChallengeParameters: event.request.privateChallengeParameters,
        };
        return actionResult([internalEventRecord]);
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.GetRecords]: getProcessGetRecords(qpqConfig),
    };
};
