import { ErrorTypeEnum, EventActionType, actionResultError, qpqCoreUtils } from 'quidproquo-core';
import { actionResult } from 'quidproquo-core';
// TODO: Don't use Globals like this
const GLOBAL_USER_DIRECTORY_NAME = process.env.userDirectoryName;
const getProcessMatchStory = (qpqConfig) => {
    const userDirectoryConfig = qpqCoreUtils.getUserDirectories(qpqConfig).find((ud) => ud.name === GLOBAL_USER_DIRECTORY_NAME);
    return async ({ qpqEventRecord }) => {
        if (!userDirectoryConfig?.customAuthRuntime?.verifyAuthChallenge?.src) {
            return actionResultError(ErrorTypeEnum.NotFound, `Missing customAuthRuntime.verifyAuthChallenge.src in [${GLOBAL_USER_DIRECTORY_NAME}]`);
        }
        return actionResult({
            src: userDirectoryConfig.customAuthRuntime.verifyAuthChallenge.src,
            runtime: userDirectoryConfig.customAuthRuntime.verifyAuthChallenge.runtime,
        });
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.MatchStory]: getProcessMatchStory(qpqConfig),
    };
};
