import { ErrorTypeEnum, EventActionType, actionResult, actionResultError, qpqCoreUtils, } from 'quidproquo-core';
// TODO: Globals? Are these bad....
const GLOBAL_DEPLOY_EVENT_NAME = process.env.deployEventConfigName;
const getProcessMatchStory = (qpqConfig) => {
    const deployConfig = qpqCoreUtils.getDeployEventConfigs(qpqConfig).find((c) => c.name === GLOBAL_DEPLOY_EVENT_NAME);
    return async ({ qpqEventRecord }) => {
        if (!deployConfig) {
            return actionResultError(ErrorTypeEnum.NotFound, `Could not find deploy event config ${GLOBAL_DEPLOY_EVENT_NAME}`);
        }
        return actionResult({
            src: deployConfig.src.src,
            runtime: deployConfig.src.runtime,
        });
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.MatchStory]: getProcessMatchStory(qpqConfig),
    };
};
